<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="16.2.0" />
    <PackageReference Include="FluentValidation" Version="12.1.1" />
    <PackageReference Include="FluentValidation.DependencyInjectionExtensions" Version="12.1.1" />
    <PackageReference Include="MediatR" Version="14.1.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DocumentOperator.Domain\DocumentOperator.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Common\Mappings\" />
    <Folder Include="DependencyInjection\" />
    <Folder Include="Features\Documents\ExtractAttachments\" />
    <Folder Include="Features\Documents\ConcatenatePdfs\" />
    <Folder Include="Features\Documents\ApplyStamp\" />
    <Folder Include="Features\Documents\EmbedCertificate\" />
  </ItemGroup>

</Project>
